package dev.inmo.postssystem.features.auth.common

import dev.inmo.postssystem.features.users.common.User

interface AuthFeature {
    suspend fun auth(creds: AuthCreds): AuthTokenInfo?
    suspend fun refresh(refresh: RefreshToken): AuthTokenInfo?
    suspend fun getMe(authToken: AuthToken): User?
}
